package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TEmergentPeople;

/**
 * 紧急联系人Service接口
 * 
 * @author ruoyi
 * @date 2023-08-25
 */
public interface ITEmergentPeopleService 
{
    /**
     * 查询紧急联系人
     * 
     * @param id 紧急联系人主键
     * @return 紧急联系人
     */
    public TEmergentPeople selectTEmergentPeopleById(Integer id);

    /**
     * 查询紧急联系人列表
     * 
     * @param tEmergentPeople 紧急联系人
     * @return 紧急联系人集合
     */
    public List<TEmergentPeople> selectTEmergentPeopleList(TEmergentPeople tEmergentPeople);

    /**
     * 新增紧急联系人
     * 
     * @param tEmergentPeople 紧急联系人
     * @return 结果
     */
    public int insertTEmergentPeople(TEmergentPeople tEmergentPeople);

    /**
     * 修改紧急联系人
     * 
     * @param tEmergentPeople 紧急联系人
     * @return 结果
     */
    public int updateTEmergentPeople(TEmergentPeople tEmergentPeople);

    /**
     * 批量删除紧急联系人
     * 
     * @param ids 需要删除的紧急联系人主键集合
     * @return 结果
     */
    public int deleteTEmergentPeopleByIds(Integer[] ids);

    /**
     * 删除紧急联系人信息
     * 
     * @param id 紧急联系人主键
     * @return 结果
     */
    public int deleteTEmergentPeopleById(Integer id);
}
